<?php


namespace ModulesGarden\Servers\ProxmoxVps\App\Helpers;


trait LicenseValidator
{

    public function isLicensePayingFullAnnuallyPrice($force = false){
        if(!function_exists('proxmoxVPS_GetLicenseData')){
            return true;
        }
        $licenseData = proxmoxVPS_GetLicenseData($force);
        if(is_array($licenseData) && isset($licenseData['isPayingFullAnnuallyPrice']) && $licenseData['isPayingFullAnnuallyPrice'] !=1){
            return false;
        }
        return true;
    }
}